﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace soru
{
    public partial class Form1 : Form
    {

        string[] urunler;
        int[] fiyatlar;

        public Form1()
        {
            InitializeComponent();

            urunler=new string[]{"Sandalye","Masa","Dolap","Ayna"};
            fiyatlar = new int[] { 25, 40, 80, 15 };

            //urunler combo ya yuklenecek, secilen urun ve miktara gore tutar belirlenecek ve toplam tutara eklenecek


            for (int i = 0; i < urunler.Length; i++)
                curun.Items.Add(urunler[i]);

            curun.Text = "Seçiniz";

        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int miktar;
            bool kontrol = Int32.TryParse(tmiktar.Text, out miktar);

            if (kontrol && curun.SelectedIndex > -1)
            { 
                // urun listesinden secim yapilmis(combo)

                lurun.Items.Add(curun.Text); // curun.Items[curun.SelectedIndex] curun.SelectedItem...

                int fiyat = fiyatlar[curun.SelectedIndex]; // combo siralamalari ile fiyat siralamalari ayni
                int tutar = fiyat * miktar;

                lmiktar.Items.Add(miktar);
                ltutar.Items.Add(tutar);

                curun.Text = "Seçiniz";
                tmiktar.Clear();
                tutarhesapla();
            }



        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = lurun.SelectedIndex; // urun listbox icerisinde secilen elemanin sirasi

            if (secilen > -1)
            {  // secilen eleman varsa
                lurun.Items.RemoveAt(secilen);
                lmiktar.Items.RemoveAt(secilen);
                ltutar.Items.RemoveAt(secilen);
                tutarhesapla();
            }
        }

        private void bgetir_Click(object sender, EventArgs e)
        {
            int secilen = lurun.SelectedIndex;
            if (secilen > -1)
            {
                curun.Text = lurun.SelectedItem.ToString();
                //curun.Text = lurun.Items[secilen].ToString();
                tmiktar.Text = lmiktar.Items[secilen].ToString();
            }
        }

        private void bguncelle_Click(object sender, EventArgs e)
        {
            int miktar;
            bool kontrol = Int32.TryParse(tmiktar.Text, out miktar);
            int secilen = lurun.SelectedIndex;
            
            if (kontrol && curun.SelectedIndex > -1 && secilen > -1)
            {
                lurun.Items[secilen] = curun.Text;
                lmiktar.Items[secilen] = miktar;
                int fiyat = fiyatlar[curun.SelectedIndex]; // combo siralamalari ile fiyat siralamalari ayni
                int tutar = fiyat * miktar;

                ltutar.Items[secilen] = tutar;

                curun.Text = "Seçiniz";
                tmiktar.Clear();
                tutarhesapla();
            }
        }

        private void tutarhesapla()
        { // tutari hesapla label a yazdir

            int toplam = 0;

            for (int i = 0; i < ltutar.Items.Count; i++)
                toplam += Convert.ToInt32(ltutar.Items[i]);

            latoplam.Text = "Toplam: " + toplam + " TL";

        }

        private void lurun_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListBox lb = (ListBox)sender;

            lurun.SelectedIndex = lb.SelectedIndex;
            lmiktar.SelectedIndex = lb.SelectedIndex;
            ltutar.SelectedIndex = lb.SelectedIndex;

        }
    }
}
